import { Plugin } from 'vite';
import * as magic_string from 'magic-string';

declare function transform(code: string, basic: string, options?: Options): {
    code: string;
    map: magic_string.SourceMap;
} | undefined;

interface Options {
    enforce?: Plugin['enforce'];
    apply?: Plugin['apply'];
    /**
     * support html element tags
     * @default false
     */
    enableElementTag?: boolean;
    /**
     * support universal selector '*'
     * @default false
     */
    enableUniversal?: boolean;
}
declare function VitePluginBasicCssSelector(basic: string, options?: Options): Plugin;

export { Options, VitePluginBasicCssSelector as default, transform };
